package cn.com.countrygarden.bi.main.repository;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;

import com.sunshine.common.repository.DataRepositoryJDBC;

/**
 * 系统的项目基础信息表
 * 
 * @author huangzhengjun
 *
 */
@Repository("hsprCommunityRepository")
public class HsprCommunityRepository extends DataRepositoryJDBC {

	protected final Logger log = LoggerFactory.getLogger(HsprCommunityRepository.class);

	public HsprCommunityRepository() {
		this.masterTable = "[HM_wygl_new_1853].[dbo].[tb_HSPR_Community]";// 表名
	}

	/**
	 * 获取所有的数据
	 * 
	 * @return
	 */
	public List<Map<String, Object>> getAllData() {

		List<Map<String, Object>> resultList = new ArrayList<Map<String, Object>>();
		String sql = "select * from " + this.masterTable;
		resultList = this.jdbcTemp.queryForList(sql);
		return resultList;
	}
}
